Skip to content
Start here

Get Image Transformations C2PA setting

client.Zones.TransformationsC2pa.Get(ctx, query) (*TransformationsC2pa, error)
GET/zones/{zone_id}/settings/transformations_c2pa

C2PA (Coalition for Content Provenance and Authenticity) signing adds cryptographic metadata to images processed through Cloudflare Image Transformations, enabling verification of image authenticity and provenance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
query TransformationsC2paGetParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type TransformationsC2pa struct{…}

Controls C2PA signing for images processed through Cloudflare Image Transformations.

ID TransformationsC2paIDOptional

ID of the zone setting.

Editable TransformationsC2paEditableOptional

Whether or not this setting can be modified for this zone (based on your Cloudflare plan level).

One of the following:
const TransformationsC2paEditableTrue TransformationsC2paEditable = true
const TransformationsC2paEditableFalse TransformationsC2paEditable = false
ModifiedOn TimeOptional

last time this setting was modified.

formatdate-time
Value TransformationsC2paValueOptional

Current value of the zone setting.

One of the following:
const TransformationsC2paValueOn TransformationsC2paValue = "on"
const TransformationsC2paValueOff TransformationsC2paValue = "off"

Get Image Transformations C2PA setting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zones"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  transformationsC2pa, err := client.Zones.TransformationsC2pa.Get(context.TODO(), zones.TransformationsC2paGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", transformationsC2pa.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "image_resizing_c2pa",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "on"
  }
}